@import url("pygment_highlights.css");

/* --- General --- */

body {
  font-family: 'Open Sans', 'Helvetica Neue', Helvetica, Arial, sans-serif;
  font-size: 18px;
  color: #404040;
  position: relative;
  background: #FFF;
}
p {
  line-height: 1.5;
  margin: 30px 0;
}
p a {
  /* text-decoration: underline */
  color: #008AFF;
}

h1,h2,h3,h4,h5,h6 {
  font-family: 'Open Sans', 'Helvetica Neue', Helvetica, Arial, sans-serif;
  font-weight: 800;
  color: #3a5a80;
  scroll-margin-top: 80px;
}

a {
  color: #008AFF;
}
a:hover,
a:focus {
  color: #e67d1e;
}
blockquote {
  color: #808080;
  font-style: italic;
}
blockquote p:first-child {
  margin-top: 0;
}
hr.small {
  max-width: 100px;
  margin: 15px auto;
  border-width: 4px;
  border-color: inherit;
  border-radius: 3px;
}

.main-content {
  padding-top: 80px;
}
@media only screen and (min-width: 768px) {
  .main-content {
    padding-top: 130px;
  }
}

.main-explain-area {
  font-family: 'Open Sans', 'Helvetica Neue', Helvetica, Arial, sans-serif;
  padding: 15px inherit;
}

.hideme {
  display: none;
}

::-moz-selection {
  color: white;
  text-shadow: none;
  background: #e67d1e;
}
::selection {
  color: white;
  text-shadow: none;
  background: #e67d1e;
}
img::selection {
  color: white;
  background: transparent;
}
img::-moz-selection {
  color: white;
  background: transparent;
}

img {
  display: block;
  margin: auto;
  max-width: 100%;
}

.disqus-comments {
  margin-top: 30px;
}

@media only screen and (min-width: 768px) {
  .disqus-comments {
    margin-top: 40px;
  }
}

/* --- Navbar --- */

.navbar-custom {
  background: #414141;
  border-bottom: 1px solid #EAEAEA;
  font-family: 'Open Sans', 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

.navbar-custom .nav li a {
  text-transform: uppercase;
  font-size: 12px;
  letter-spacing: 1px;
}

.navbar-custom .navbar-brand,
.navbar-custom .nav li a {
  font-weight: 800;
  color: #bebebe;
}

.navbar-custom .navbar-brand:hover,
.navbar-custom .navbar-brand:focus ,
.navbar-custom .nav li a:hover,
.navbar-custom .nav li a:focus {
  color: #e67d1e;
}

.navbar-custom .nav input {
  font-size: 12px;
  letter-spacing: 1px;
  font-weight: 600;
  margin-top: 15px;
  margin-right: 15px;
  margin-bottom: 15px;
  margin-left: 15px;
  padding-left: 4px;
  width: 130px;
}

.navbar-custom .navbar-brand-logo {
  padding-top: 0;
  -webkit-transition: padding .5s ease-in-out;
  -moz-transition: padding .5s ease-in-out;
  transition: padding .5s ease-in-out;
}
.navbar-custom .navbar-brand-logo img {
  height: 50px;
  -webkit-transition: height .5s ease-in-out;
  -moz-transition: height .5s ease-in-out;
  transition: height .5s ease-in-out;
}
.navbar-custom.top-nav-short .navbar-brand-logo {
  padding-top: 5px;
}
.navbar-custom.top-nav-short .navbar-brand-logo img {
  height: 40px;
}

@media only screen and (min-width: 768px) {
  .navbar-custom {
    padding: 20px 0;
    -webkit-transition: background .5s ease-in-out,padding .5s ease-in-out;
    -moz-transition: background .5s ease-in-out,padding .5s ease-in-out;
    transition: background .5s ease-in-out,padding .5s ease-in-out;
  }

  .navbar-custom.top-nav-short {
    padding: 0;
  }
}

@media only screen and (min-width: 1450px) {
  .navbar-custom .navbar-sitebar {
    display: none;
  }
}

.navbar-custom .avatar-container {
  opacity: 1;
  position: absolute;
  -webkit-transition: opacity 0.5s ease-in-out;
  -moz-transition: opacity 0.5s ease-in-out;
  transition: opacity 0.5s ease-in-out;
  left: 50%;
  width: 50px;
  margin-top: -25px;
}
.navbar-custom .avatar-container  .avatar-img-border {
  width: 100%;
  border-radius: 50%;
  margin-left: -50%;
  display: inline-block;
  box-shadow: 0 0 8px rgba(0, 0, 0, .8);
  -webkit-box-shadow: 0 0 5px rgba(0, 0, 0, .8);
  -moz-box-shadow: 0 0 8px rgba(0, 0, 0, .8);
}
.navbar-custom .avatar-container  .avatar-img {
  width: 100%;
  border-radius: 50%;
  display: block;
}

.navbar-custom.top-nav-short .avatar-container{
  opacity: 0;
}

.navbar-custom.top-nav-expanded .avatar-container  {
  display: none;
}

@media only screen and (min-width: 768px) {
  .navbar-custom .avatar-container {
    width: 100px;
    margin-top: -50px;
  }

  .navbar-custom .avatar-container  .avatar-img-border {
    width: 100%;
    box-shadow: 1px 1px 2px rgba(0, 0, 0, .8);
    -webkit-box-shadow: 1px 1px 2px rgba(0, 0, 0, .8);
    -moz-box-shadow: 1px 1px 2px rgba(0, 0, 0, .8);
  }

  .navbar-custom .avatar-container  .avatar-img {
    width: 100%;
  }
}

/* Multi-level navigation links */
.navbar-custom .nav .navlinks-container {
  position: relative;
}
.navbar-custom .nav .navlinks-parent:after {
  content: " \25BC";
}
.navbar-custom .nav .navlinks-children {
  width: 100%;
  display: none;
  word-break: break-word;
}
.navbar-custom .nav .navlinks-container .navlinks-children a {
  display: block;
  padding: 10px;
  padding-left: 30px;
  background: #f5f5f5;
  text-decoration: none !important;
  border-width: 0 1px 1px 1px;
  font-weight: normal;
}
@media only screen and (max-width: 767px) {
  .navbar-custom .nav .navlinks-container.show-children {
    background: #eee;
  }
  .navbar-custom .nav .navlinks-container.show-children .navlinks-children {
    display: block;
  }
}
@media only screen and (min-width: 768px) {
  .navbar-custom .nav .navlinks-container {
    text-align: center;
  }
  .navbar-custom .nav .navlinks-container:hover {
    background: #eee;
  }
  .navbar-custom .nav .navlinks-container:hover .navlinks-children {
    display: block;
  }
  .navbar-custom .nav .navlinks-children {
    position: absolute;
  }
  .navbar-custom .nav .navlinks-container .navlinks-children a {
    padding-left: 10px;
    border: 1px solid #eaeaea;
    border-width: 0 1px 1px;
  }
}

/* --- Footer --- */

footer {
  padding: 30px 0;
  background: #bebebe;
  border-top: 1px #EAEAEA solid;
  margin-top: 50px;
  font-size: 14px;
}

footer a {
  color: #404040;
}

footer .list-inline {
  margin: 0;
  padding: 0;
}
footer .copyright {
  font-family: 'Open Sans', 'Helvetica Neue', Helvetica, Arial, sans-serif;
  text-align: center;
  margin-bottom: 0;
}
footer .theme-by {
  text-align: center;
  margin: 10px 0 0;
}

@media only screen and (min-width: 768px) {
  footer {
    padding: 50px 0;
  }
  footer .footer-links {
    font-size: 18px;
  }
  footer .copyright {
    font-size: 16px;
  }
}

/* --- Post preview --- */

.post-preview {
  padding: 20px 0;
  border-bottom: 1px solid #eee;
}

@media only screen and (min-width: 768px) {
  .post-preview {
    padding: 35px 0;
  }
}

.post-preview:last-child {
  border-bottom: 0;
}

.post-preview a {
  text-decoration: none;
  color: #404040;
}

.post-preview a:focus,
.post-preview a:hover {
  text-decoration: none;
  color: #e67d1e;
}

.post-preview .post-title {
  font-size: 30px;
  margin-top: 0;
  padding-top: 10px;
}
.post-preview .post-subtitle {
  margin: 0;
  font-weight: 300;
  margin-bottom: 10px;
}
.post-preview .post-meta,
.post-heading .post-meta {
  color: #808080;
  font-size: 18px;
  font-style: italic;
  margin: 0 0 10px;
}
.post-preview .post-meta a,
.post-heading .post-meta a {
  color: #404040;
  text-decoration: none;
}
.post-preview .post-entry {
  font-family: 'Open Sans', 'Helvetica Neue', Helvetica, Arial, sans-serif;
}
.post-entry-container {
  display: inline-block;
  width: 100%;
}
.post-entry {
  width: 100%;
}
.post-image {
  float: right;
  height: 192px;
  width: 192px;
  margin-top: -35px;
  filter: grayscale(90%);
}
.post-image:hover {
  filter: grayscale(0%);
}
.post-image img {
  border-radius: 100px;
  height: 192px;
  width: 192px;
}
.post-preview .post-read-more {
  font-weight: 800;
  float: right;
}

@media only screen and (min-width: 768px) {
  .post-preview .post-title {
    font-size: 36px;
  }
}

/* --- Tags --- */

.blog-tags {
  font-family: 'Open Sans', 'Helvetica Neue', Helvetica, Arial, sans-serif;
  color: #999;
  font-size: 15px;
  margin-bottom: 30px;
}

.blog-tags a {
  color: #008AFF;
  text-decoration: none;
  padding: 0px 5px;
}

.blog-tags a:hover {
  border-radius: 2px;
  color: #008AFF;
  background-color: #CCC;
}

.post-preview .blog-tags {
  margin-top: 5px;
  margin-bottom: 0;
}

@media only screen and (min-width: 768px) {
  .post-preview .blog-tags {
    margin-top: 10px;
  }
}

@media only screen and (max-width: 500px) {
  .post-image, .post-image img {
    height: 100px;
    width: 100px;
  }

  .post-image {
    width: 100%;
    text-align: center;
    margin-top: 0;
    float: left;
  }
}
/* --- Post and page headers --- */

.intro-header {
  margin: 80px 0 20px;
  position: relative;
}
.intro-header.big-img {
  background: no-repeat center center;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  background-size: cover;
  -o-background-size: cover;
  margin-top: 51px; /* The small navbar is 50px tall + 1px border */
  margin-bottom: 35px;
}
.intro-header.big-img  .big-img-transition {
  position: absolute;
  width: 100%;
  height: 100%;
  opacity: 0;
  background: no-repeat center center;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  background-size: cover;
  -o-background-size: cover;
  -webkit-transition: opacity 1s linear;
  -moz-transition: opacity 1s linear;
  transition: opacity 1s linear;
}
.intro-header .page-heading {
  text-align: center;
}
.intro-header.big-img .page-heading,
.intro-header.big-img .post-heading {
  padding: 100px 0;
  color: #FFF;
  text-shadow: 1px 1px 3px #000;
}
.intro-header .page-heading h1 {
  margin-top: 0;
  font-size: 50px;
}
.intro-header .post-heading h1 {
  margin-top: 0;
  font-size: 35px;
}
.intro-header .page-heading .page-subheading,
.intro-header .post-heading .post-subheading {
  font-size: 27px;
  line-height: 1.1;
  display: block;
  font-family: 'Open Sans', 'Helvetica Neue', Helvetica, Arial, sans-serif;
  font-weight: 300;
  margin: 10px 0 0;
}
.intro-header .post-heading .post-subheading {
  margin-bottom: 20px;
}
.intro-header.big-img .page-heading .page-subheading,
.intro-header.big-img .post-heading .post-subheading {
  font-weight: 400;
}
.intro-header.big-img .page-heading hr {
  box-shadow: 1px 1px 3px #000;
  -webkit-box-shadow: 1px 1px 3px #000;
  -moz-box-shadow: 1px 1px 3px #000;
}
.intro-header.big-img .post-heading .post-meta {
  color: #EEE;
}
.intro-header.big-img .img-desc {
  background: rgba(30, 30, 30, 0.6);
  position: absolute;
  padding: 5px 10px;
  font-size: 11px;
  color: #EEE;
  font-family: 'Open Sans', 'Helvetica Neue', Helvetica, Arial, sans-serif;
  right: 0;
  bottom: 0;
  display: none;
}
@media only screen and (min-width: 768px) {
  .intro-header {
    margin-top: 130px;
  }
  .intro-header.big-img {
    margin-top: 91px;  /* Full navbar is small navbar + 20px padding on each side when expanded */
  }
  .intro-header.big-img .page-heading,
  .intro-header.big-img .post-heading  {
    padding: 150px 0;
  }
  .intro-header .page-heading h1 {
    font-size: 80px;
  }
  .intro-header .post-heading h1 {
    font-size: 50px;
  }
  .intro-header.big-img .img-desc {
    font-size: 14px;
  }
}

.header-section.has-img .no-img {
  margin-top: 0;
  background: #FCFCFC;
  margin: 0 0 40px;
  padding: 20px 0;
  box-shadow: 0 0 5px #AAA;
}
/* Many phones are 320 or 360px, so make sure images are a proper aspect ratio in those cases */
.header-section.has-img .intro-header.no-img {
  display: none;
}
@media only screen and (max-width: 365px) {
  .header-section.has-img .intro-header.no-img {
    display: block;
  }
  .intro-header.big-img {
    width: 100%;
    height: 220px;
  }
  .intro-header.big-img .page-heading,
  .intro-header.big-img .post-heading {
    display: none;
  }
  .header-section.has-img .big-img {
    margin-bottom: 0;
  }
}
@media only screen and (max-width: 325px) {
  .intro-header.big-img {
    height: 200px;
  }
}

.caption {
  text-align: center;
  font-size: 14px;
  padding: 10px;
  font-style: italic;
  margin: 0;
  display: block;
  border-bottom-right-radius: 5px;
  border-bottom-left-radius: 5px;
}

/* --- Pager --- */

.pager li a {
  font-family: 'Open Sans', 'Helvetica Neue', Helvetica, Arial, sans-serif;
  text-transform: uppercase;
  font-size: 14px;
  font-weight: 800;
  letter-spacing: 1px;
  padding: 10px 5px;
  background: #FFF;
  border-radius: 0;
  color: #404040;
}
@media only screen and (min-width: 768px) {
  .pager li a {
    padding: 15px 25px;
  }
}
.pager li a:hover,
.pager li a:focus {
  color: #FFF;
  background: #e67d1e;
  border: 1px solid #e67d1e;
}

.pager {
  margin: 10px 0 0;
}

.pager.blog-pager {
  margin-top: 0;
}

@media only screen and (min-width: 768px) {
  .pager.blog-pager  {
    margin-top: 10px;
  }
}

/* --- Tables --- */

table {
  padding: 0;
}
table tr {
  border-top: 1px solid #cccccc;
  background-color: #ffffff;
  margin: 0;
  padding: 0;
}
table tr:nth-child(2n) {
  background-color: #f8f8f8;
}
table tr th {
  font-weight: bold;
  border: 1px solid #cccccc;
  text-align: left;
  margin: 0;
  padding: 6px 13px;
}
table tr td {
  border: 1px solid #cccccc;
  text-align: left;
  margin: 0;
  padding: 6px 13px;
}
table tr th :first-child,
table tr td :first-child {
  margin-top: 0;
}
table tr th :last-child,
table tr td :last-child {
  margin-bottom: 0;
}

/* --- Code blocks --- */

pre {
  font-size: 16px;
  line-height: 1.5em;
}
/* :not(.chroma) to make sure we don't apply this to code blocks, which will
   have their padding added inside 'td'. */
pre:not(.chroma) {
  padding: 8px;
}
pre code {
  white-space: pre;
}
pre.highlight, .highlight > pre, td.code pre {
  background: #FAFAFA;
  background-image: linear-gradient(#F9F9F9 50%, #FDFDFD 50%);
  background-repeat: repeat;
  background-size: 3em 3em;
  background-position: 0px 10px;
  border-left: 7px solid #444;
}
code table, code table td, code table th, code table tbody, code table tr,
td.gutter pre {
  padding: 0;
  border: none;
  background-color: #fff;
}
.highlight > .chroma {
  overflow-x: auto;
  margin-bottom: 30px;
}
.highlight > pre {
  padding: 0;
}
td.code pre {
  border-width: 0 0 0 2px;
  border-style: solid;
  border-color: #444;
  border-radius: 0;
}
td.gutter {
  padding-top: 3px;
}
table.lntable {
  table-layout: auto !important;
  /* Clear the margin here so that it gets set on the parent .chroma div
     instead, that way scroll bars appear inside the margin rather than outside
     it. */
  margin-bottom: 0 !important;
}
td.lntd:first-of-type {
  width: 1% !important;
}
td.lntd pre {
  padding: 8px !important;
}

/* --- Social media sharing section --- */

#social-share-section {
  margin-bottom: 30px;
}

/* --- Google Custom Search Engine Popup --- */
#modalSearch table tr, #modalSearch table tr td, #modalSearch table tr th {
  border:none;
}
.reset-box-sizing, .reset-box-sizing *, .reset-box-sizing *:before, .reset-box-sizing *:after,  .gsc-inline-block {
  -webkit-box-sizing: content-box;
  -moz-box-sizing: content-box;
  box-sizing: content-box;
}
input.gsc-input, .gsc-input-box, .gsc-input-box-hover, .gsc-input-box-focus, .gsc-search-button {
  box-sizing: content-box;
  line-height: normal;
}

/* --- Notices --- */
div.notices {
    margin: 2rem 0;
    position: relative;
    border-width: 1px;
    border-style: solid;
    border-color: 414141;
    border-radius: 4px;
    border-left-width: 6px;
    border-left-style: solid;
    position: relative;
    display: block;
    padding: 15px;
    padding-top: 30px;
    background: #FFF;
}

div.notices p {
    margin-top: 0rem;
    margin-bottom: 0rem;
}

div.notices p:first-child:before {
    position: absolute;
    top: 2px;
    color: #5a5a5a;
    font-family: "Font Awesome 5 Free";
    font-weight: 800;
    left: 10px;
}

div.notices p:first-child:after {
    position: absolute;
    top: 2px;
    left: 3.5rem;
    font-weight: 800;
}

div.notices.warning {
    border-left-color: #e67d1e;
}
div.notices.warning p:first-child:before {
    content: "\f071";
    color: #e67d1e;
}
div.notices.warning p:first-child:after {
    content: 'Warning';
    color: #e67d1e;
}

div.notices.info {
    border-left-color: #3a5a80;
}
div.notices.info p:first-child:before {
    content: "\f05a";
    color: #3a5a80;
}
div.notices.info p:first-child:after {
    content: 'Info';
    color: #3a5a80;
}

div.notices.note {
    border-left-color: #5a5a5a;
}
div.notices.note p:first-child:before {
    content: "\f14b";
    color: #5a5a5a;
}
div.notices.note p:first-child:after {
    content: 'Note';
    color: #5a5a5a;
}

div.notices.tip {
    border-left-color: #33b540;

}
div.notices.tip p:first-child:before {
    content: "\f0eb";
    color: #33b540;
}
div.notices.tip p:first-child:after {
    content: 'Tip';
    color: #33b540;
}

/* --- Anchors --- */

.anchorjs-link {
  color: #3a5a80;
}
.anchorjs-link:hover {
  color: #e67d1e;
  text-decoration: none;
}

/* --- Sidebar --- */

.sidebar {
  height: 100%;
  width: 300px;
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  background-color: #414141;
  overflow-x: hidden;
  transition: height 0.5s;
  padding-top: 100px;
}

@media not screen, screen and (max-width: 1450px) {
  .sidebar-hidden {
    height: 0;
    visibility: hidden;
    transition: height 0.5s, visibility 0s linear 0.5s;
  }
}

.sidebar-section a {
  color: #81a0c6;
  font-family: 'Open Sans', 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

.sidebar-section .sidebar-focus {
  color: #e67d1e;
}

.sidebar ul {
  padding-left: 20px;
}

.sidebar-page a {
  color: #bebebe;
}

.sidebar-page li {
  list-style-type: circle;
}

.sidebar-section {
  font-size: 18px;
}

.sidebar-page {
  font-size: 14px;
}

.sidebar-page a {
  font-family: 'Open Sans', 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

.sidebar-page-focus {
    font-weight: bold !important;
    color: #e67d1e !important;
}
/* --- PDF Note --- */

div.pdflink {
    text-align: right;
}

.pdflink a {
    color: inherit;
    display: inline-block;
    padding: 0 8px;
    border-width: 1px;
    border-style: solid;
    border-color: #bebebe;
    border-radius: 4px;
    background: #FFF;
    font-size: 75%;
}

.pdflink a:before {
    position: relative;
    font-family: "Font Awesome 5 Free";
    font-weight: 800;
    content: "\f1c1";
    color: #bebebe;
    padding-right: 5px;
}

.pdflink a:hover {
   text-decoration: none;
    border-color: #e67d1e;
}

/* --- Date Notice --- */
div.date {
   color: #bebebe;
   font-size: 14px;
}
